package com.ruoyi.project.patrol.fire.service;

import java.util.List;
import com.ruoyi.project.patrol.fire.domain.TFireAidkit;

/**
 * 急救箱检查记录Service接口
 * 
 * @author ssy
 * @date 2024-10-30
 */
public interface ITFireAidkitService 
{
    /**
     * 查询急救箱检查记录
     * 
     * @param id 急救箱检查记录ID
     * @return 急救箱检查记录
     */
    public TFireAidkit selectTFireAidkitById(Long id);

    /**
     * 查询急救箱检查记录列表
     * 
     * @param tFireAidkit 急救箱检查记录
     * @return 急救箱检查记录集合
     */
    public List<TFireAidkit> selectTFireAidkitList(TFireAidkit tFireAidkit);

    /**
     * 新增急救箱检查记录
     * 
     * @param tFireAidkit 急救箱检查记录
     * @return 结果
     */
    public int insertTFireAidkit(TFireAidkit tFireAidkit);

    /**
     * 修改急救箱检查记录
     * 
     * @param tFireAidkit 急救箱检查记录
     * @return 结果
     */
    public int updateTFireAidkit(TFireAidkit tFireAidkit);

    /**
     * 批量删除急救箱检查记录
     * 
     * @param ids 需要删除的急救箱检查记录ID
     * @return 结果
     */
    public int deleteTFireAidkitByIds(Long[] ids);

    /**
     * 删除急救箱检查记录信息
     * 
     * @param id 急救箱检查记录ID
     * @return 结果
     */
    public int deleteTFireAidkitById(Long id);
}
